<?php

require_once 'classes/Base.php';
require_once 'classes/ActiveRecord.php';

class Association_Ressource extends ActiveRecord {
	public function __construct($attrs, $nouveau = false) {
		parent::__construct(
			// Attributs
			array(
				'id_ressource',
				'id_evenement'
			),
	
			// Attributs de clef
			array('id_ressource', 'id_evenement'),
	
			// Valeurs
			$attrs, $nouveau
		);
	}
	
	public static function findByEvenement($id_evt) {
		$select_query = "SELECT * FROM association_ressource WHERE id_evenement='$id_evt'";
	
		$conn = Base::getConnection();
		$query = $conn->prepare($select_query);
		$query->execute();
	
		$assos = array();
		while($result = $query->fetch(PDO::FETCH_ASSOC)) {
			$assos[] = new Association_Ressource($result, false);
		}
		return $assos;
	}
	
	public static function findByRessource($id_ress) {
		$select_query = "SELECT * FROM association_ressource WHERE id_ressource='$id_ress'";
	
		$conn = Base::getConnection();
		$query = $conn->prepare($select_query);
		$query->execute();
	
		$assos = array();
		while($result = $query->fetch(PDO::FETCH_ASSOC)) {
			$assos[] = new Association_Ressource($result, false);
		}
		return $assos;
	}
}

?>
