<?php
	require_once 'classes/Evenement.php';

	$select_query = "SELECT * FROM evenement e WHERE date_fin > ".time()." AND rappel IS NOT NULL AND date_deb-".time()." <= rappel";

	$conn = Base::getConnection();
	$query = $conn->prepare($select_query);
	$query->execute();

	while($result = $query->fetch(PDO::FETCH_ASSOC)) {
		$evt = new Evenement($result, false);

		$select_query = "SELECT u.login FROM utilisateur u, agenda a, association_agenda aa WHERE a.id=$evt->id_agenda AND a.id=aa.id AND aa.login=u.login";
		$subquery = $conn->prepare($select_query);
		$subquery->execute();
		$subresult = $subquery->fetch(PDO::FETCH_ASSOC);

                // envoyer un mail de notification
                $sujet = "Ajuda : rappel !";
                $message = "Bonjour,\n\nRappel : ".trim($evt->nom)." à $evt->date_deb\n\n";
                $message .= "Accédez à http://neptune.esial.uhp-nancy.fr/~vaubo0051/evenement.php?action=consulter&id=" . $evt->id . " pour le consulter.\n\n";
                $message .= "L'équipe Ajuda.";
                $headers = "From: Ajuda <webmaster@ajuda.cesi>" . "\r\n";
                $headers.= "Reply-To: webmaster@ajuda.cesi";
                mail($subresult['LOGIN'], $sujet, $message, $headers);

		$conn->exec("UPDATE evenement SET rappel=NULL WHERE id=$evt->id");
	}
?>
