<?php

require_once 'vues/Vue.php';

class VueConsulterRecherche extends Vue {
	public function __construct($evts) {
		parent::__construct('consulterRecherche');

		$this->token_remplacer(array(
			'evenements' => $this->resulats($evts),
		));
	}

	public function resulats($evts) {
		$res = '';

		foreach($evts as $evt)
			$res .= "<li><a href='evenement.php?action=consulter&amp;id=$evt->id'><strong>$evt->nom</strong> (<em>$evt->date_deb</em> à <em>$evt->date_fin</em>)</a></li>\n";

		if(empty($res))
			$res = '<li>Pas de résultat</li>';

		return $res;
	}

	public function finaliserPage() {
		$this->token_remplacer(array(
			'title' => "Consulter un agenda"
		));
	}
}

?>

