<?php

require_once 'vues/Vue.php';

class VueErreurEvenementExclusif extends Vue {
	
	public function __construct($date_deb, $date_fin, $exclusifs) {
		parent::__construct('erreurExclusif');

		$this->token_remplacer(array(
            'debut' => date("d/m/Y à H:i:s", $date_deb),
            'fin' => date("d/m/Y à H:i:s", $date_fin),
			'exclusifs' => $this->listerEvenements($exclusifs)
		));
	}

    public function listerEvenements($exclusifs) {
        $html = "";
        foreach($exclusifs as $evt) {
            $html .= '<li><a href="evenement.php?action=consulter&amp;id=' . $evt->id . '">' . $evt->nom . '</a></li>';
        }
        return $html;

    } 

	public function finaliserPage() {
		$this->token_remplacer(array(
			'title' => "Événement exclusif bloquant"
		));
	}
}

?>


