<?php

require_once 'vues/Vue.php';

class VueFormCreerAgenda extends Vue {
	
	public function __construct($agendas_publics) {
		parent::__construct('formAgenda');

		$this->token_remplacer(array(
			'id' => '',
			'verbe' => 'Créer',
			'action' => 'creer',
			'nom' => '',
			'desc' => '',
			'couleur' => '000000',
			'est_public_1' => '',
			'est_public_0' => '',
			'afficher_1' => '',
            'afficher_0' => '',
            'publics' => $this->listerAgendasPublics($agendas_publics)
		));
	}

	public function finaliserPage() {
		$this->token_remplacer(array(
			'title' => "Créer un agenda"
		));
	}

    public function listerAgendasPublics($agendas_publics) {
        $html = "";
        foreach($agendas_publics as $a) {
            $html .= '<option value="' . $a->id . '">' . $a->nom . '</option>';
        }
        return $html;
    }
}

?>

