<?php

require_once 'vues/Vue.php';

class VueFormCreerEvenement extends Vue {

    public function __construct($id_agenda, $ressources) {
	parent::__construct('formEvenement');

	$ressources = $this->selectionRessources($ressources);

	$this->token_remplacer(array(
	    'id' => '',
	    'verbe' => 'Ajouter',
	    'action' => 'creer',
	    'recurrence' => '',
	    'id_agenda' => $id_agenda,
	    'nom' => '',
	    'desc' => '',
	    'lieu' => '',
	    'date_deb' => '',
	    'date_fin' => '',
	    'est_public_0' => '',
	    'est_public_1' => '',
	    'exclusif_0' => '',
	    'exclusif_1' => '',
	    'rappel' => '',
	    'disable' => '',
	    'ressources' => $ressources
	));
    }

    public function finaliserPage() {
	$this->token_remplacer(array(
	    'title' => "Ajouter un événement"
	));
    }

    public function selectionRessources($ressources) {
	$html = "";
	foreach($ressources as $r) {
	    $html .= '<option value="' . $r->id . '">' . $r->nom . '</option>';
	}

	return $html;
    }
}

?>

