<?php

require_once 'vues/Vue.php';

class VueFormModifierAgenda extends Vue {
	
	public function __construct($agenda) {
		parent::__construct('formAgenda');

		$this->token_remplacer(array(
			'id' => $agenda->id,
			'verbe' => 'Modifier',
			'action' => 'modifier',
			'nom' => $agenda->nom,
			'desc' => $agenda->descr,
			'couleur' => $agenda->couleur,
			'est_public_1' => $agenda->est_public ?  'checked="checked"' : '',
			'est_public_0' => $agenda->est_public ?  '' : 'checked="checked"',
			'afficher_1' => $agenda->afficher ?  'checked="checked"' : '',
			'afficher_0' => $agenda->afficher ?  '' : 'checked="checked"'
		));

		$this->token_remplacerBloc('PUBLIC', '');
	}

	public function finaliserPage() {
		$this->token_remplacer(array(
			'title' => "Modifier un agenda"
		));
	}
}

?>

