<?php

require_once 'classes/Base.php';
require_once 'classes/ActiveRecord.php';

class Utilisateur extends ActiveRecord {
	public function __construct($attrs, $nouveau = false) {
		parent::__construct(
			// Attributs
			array(
				'login',
				'password',
				'nom',
				'prenom'
			),
	
			// Attributs de clef
			array('login'),
	
			// Valeurs
			$attrs, $nouveau
		);
	}
	public static function existe($login) {
		$conn = Base::getConnection();
		$selectQuery = "SELECT COUNT(*) FROM " . strtolower(__CLASS__) . " WHERE login='$login'";
		$query = $conn->prepare($selectQuery);
		$query->execute();

		$result = $query->fetch(PDO::FETCH_NUM);

		return $result[0] > 0;
	}
	
	/*
	 * Supprimer tous les agendas de l'utilisateur
	 */
	public function delete() {
		parent::delete();
		
		require_once 'classes/Agenda.php';
		
		$agendas = Agenda::findAllProprio();
		if(!is_null($agendas)) {
			foreach($agendas as $a) {
				$a->delete();
			}
		}
	}
	
}

?>
